#ifndef KEYBOARDSENSOR_H_
#define KEYBOARDSENSOR_H_

#include <QThread>
#include "Sensor.h"

class KeyboardSensor : public Sensor, public QThread
{

public:
	KeyboardSensor();
	~KeyboardSensor();

	virtual void run();

private:
	float speed;

	void drive(double translate, double rotate);
    void speedUp();
    void speedDown();
    void releaseRFID();
    void queryNumTags();

};

#endif
