#ifndef LASERDEVICE3D_H_
#define LASERDEVICE3D_H_

#include <QString>
#include <QStringList>

#include "QueueDevice.h"
#include "Robot.h"

#include "LaserData3D.h"

class LaserDevice3D : public QueueDevice< LaserData3D >
{
	public:
		static const QString LASER3D;
	
		LaserDevice3D(QString name);
		virtual ~LaserDevice3D();
		
		virtual void process(QMap<QString, QString>* data);
		
		virtual bool acceptsMsg(QString type);
};

#endif /*LASERDEVICE3D_H_*/
