#ifndef SONARDEVICE_H_
#define SONARDEVICE_H_

#include "Device.h"
#include "Robot.h"

class SonarDevice : public Device
{
	public:
		static const QString SONAR;
	
		SonarDevice();
		virtual ~SonarDevice();
		
		virtual void process(QMap<QString, QString>* data);
		
		// test if this device can deal with a message type (like SEN or CONF)
		virtual bool acceptsMsg(QString type);
};

#endif /*SONARDEVICE_H_*/
