#ifndef CONTROLBOXHEADBUTTON_H
#define CONTROLBOXHEADBUTTON_H

#include <QWidget>
#include <QPixmap>
#include <QMouseEvent>
#include <QPaintEvent>

class ControlBoxHeadButton : public QWidget
{
	Q_OBJECT
	public:
		ControlBoxHeadButton(QWidget * parent);
		virtual ~ControlBoxHeadButton();

		void putMouseEvent(QMouseEvent * e) { mouseReleaseEvent(e); };
		
		void toggle(bool);
		
	signals:
		void toggleExpand(bool);
		
	protected:
		void mouseReleaseEvent( QMouseEvent *);
		void paintEvent( QPaintEvent *);

	private:
		bool collapsed;
};

#endif //CONTROLBOXHEADBUTTON_H
