#ifndef GLMANIFOLDRENDERER_H_
#define GLMANIFOLDRENDERER_H_

#include <QtOpenGL>
#include <QMap>
#include <QUuid>

#include "ManifoldRenderer.h"

class GLManifoldRenderer : public ManifoldRenderer
{
private:
	QMap<QUuid , GLuint> displayLists;
	
public:
	GLManifoldRenderer();
	virtual ~GLManifoldRenderer();
	
	virtual void renderScan(Pose2D scanPose, ScanObservation* scan, uint number = 0);
	virtual void renderLink(Pose2D firstPose, Pose2D secondPose) ;
};

#endif /*GLMANIFOLDRENDERER_H_*/
