#ifndef GLVIEWITEM_H_
#define GLVIEWITEM_H_

// interface for views to be drawn in the opengl view
class GLViewItem
{
	public:
	
		GLViewItem() {}
		virtual ~GLViewItem() {}
		
		enum Button
		{
			Right,
			Middle,
			Left
		};
	
		virtual bool mouseDrag(Button, int, int) { return false; }
		virtual bool mouseClick(Button, int, int) { return false; }
		virtual bool mouseStartDrag(Button, int, int) { return false; }
		virtual bool mouseStopDrag(Button, int, int) { return false; }
		
		virtual void canvasResized(int, int) { }

		virtual void drawGL() = 0;
};

#endif /*GLVIEWITEM_H_*/
