#ifndef USARCLIENT_H_
#define USARCLIENT_H_

#include "Client.h"

#include "ManifoldSlam.h"

class UsarClient : public Client, public ManifoldSlamListener
{
public:
	UsarClient(QString, uint);
	virtual ~UsarClient();
	
	void submitPatch(ScanObservation*, QUuid*, Matrix3*);
	
	virtual void newPatchAdded(ScanObservation*);
	virtual void newPatchAdded(ScanObservation*, QUuid, Matrix3);
	
	virtual void newVictimStatus(QString, QString);
};

#endif /*USARCLIENT_H_*/
