TEMPLATE = app
TARGET = server
DEPENDPATH += include src
INCLUDEPATH += include
#CONFIG += debug

# headers/sources scanmatcher
PREFIX = ../sm/
include($${PREFIX}sm-files.inc)

# headers/sources burrowed from map
PREFIX = ../map/
include($${PREFIX}manifold-files.inc)

# headers/sources burrowed from network
PREFIX = ../network/
include($${PREFIX}xsocket-files.inc)
include($${PREFIX}network-files.inc)

PREFIX =../agent/
include($${PREFIX}agent-files.inc)
include($${PREFIX}data-files.inc)

PREFIX=
include($${PREFIX}server-client-files.inc)

HEADERS += \
		include/UsarServer.h \
		include/UsarConnection.h

SOURCES += \
		src/UsarServer.cpp \
		src/UsarConnection.cpp \
		src/main.cpp


MOC_DIR = build
OBJECTS_DIR = build

# Bayu: Uncomment to enable Console output on windows
win32 {
	CONFIG += console
	DEFINES += ON_WIN32
}
