#ifndef LOGSCANPLAYER_H_
#define LOGSCANPLAYER_H_

#include "ScanPlayer.h"

class LogScanPlayer : public ScanPlayer
{

public:
		
	LogScanPlayer(const QString logfile, SlamStrategy* slam, ManifoldRenderer* map);
	virtual ~LogScanPlayer();
		
    virtual void play();


protected:


private:

    ScanObservation* source;
    ScanObservation* target;

    QString _logfile;

    uint iMax, nMax, nSum;
    double sMax;


    void processLine(const uint number, const QString line);

};

#endif
