
#ifndef QTSIMPLEMANIFOLDRENDERER_H
#define QTSIMPLEMANIFOLDRENDERER_H

#include <QtGui>

#include "ScanUtils.h"
#include "QtManifoldRenderer.h"

class QtSimpleManifoldRenderer : public QtManifoldRenderer
{

public:
    QtSimpleManifoldRenderer(QImage* image, Bounds bounds);
    virtual ~QtSimpleManifoldRenderer();

    virtual void renderScan(Pose2D scanPose, ScanObservation* scan, uint number = 0);

};

#endif /*QTMANIFOLDRENDERER_H*/
