#ifndef SIMPLESLAM_H_
#define SIMPLESLAM_H_

#include "SlamStrategy.h"

class SimpleSlam : public SlamStrategy
{
public:

	SimpleSlam(ScanMatcher* matcher, ManifoldRenderer* renderer);
	~SimpleSlam();
		
    bool processScan(ScanObservation* scan);


private:

    ScanObservation* previousScan;
    ScanObservation* currentScan;
    Pose2D           currentPose;

    ManifoldRenderer*     renderer;

    uint   number, iMax, nMax, nSum;
    double sMax;

};

#endif 
