INC_HEADERS =
INC_SOURCES =
INC_INCLUDEPATH =
INC_DEPENDPATH =

INC_HEADERS = \
	include/ScanMatcher.h \
	include/WeightedScanMatcher.h \
	include/UnweightedScanMatcher.h \
	include/ManifoldRenderer.h \
	include/QtManifoldRenderer.h \
	include/QtSimpleManifoldRenderer.h \
	include/ScanUtils.h \
	include/SlamStrategy.h \
	include/SimpleSlam.h \
	include/KalmanSlam.h \
	include/ManifoldSlam.h

INC_SOURCES = \
	src/ScanMatcher.cpp \
	src/WeightedScanMatcher.cpp \
	src/UnweightedScanMatcher.cpp \
	src/QtManifoldRenderer.cpp \
	src/QtSimpleManifoldRenderer.cpp \
	src/ScanUtils.cpp \
	src/SlamStrategy.cpp \
	src/KalmanSlam.cpp \
	src/SimpleSlam.cpp \
	src/ManifoldSlam.cpp

INC_INCLUDEPATH = include
INC_DEPENDPATH = include src



# put the files into the main list
for(x, INC_HEADERS) {
	HEADERS += $${PREFIX}$${x}
}
for(x, INC_SOURCES) {
	SOURCES += $${PREFIX}$${x}
}
for(x, INC_INCLUDEPATH) {
	INCLUDEPATH += $${PREFIX}$${x}
}
for(x, INC_DEPENDPATH) {
	DEPENDPATH += $${PREFIX}$${x}
}
