#include "ScanMatcher.h"

#include <QDebug>


ScanMatcher::ScanMatcher()
{
}

ScanMatcher::~ScanMatcher()
{
}

MatchResult* ScanMatcher::matchScans(QList<ScanObservation*>* submap, ScanObservation* primary, ScanObservation* scan2) {
    return this->matchScans(primary, scan2);
}
MatchResult* ScanMatcher::matchScans(ScanObservation* scan1, ScanObservation* scan2)
{
    Pose2D dpose;
    dpose.x   = scan2->pose.x   - scan1->pose.x;
    dpose.y   = scan2->pose.y   - scan1->pose.y;
    dpose.rot = scan2->pose.rot - scan1->pose.rot;

    Matrix3 dposecov;

    return new MatchResult(dpose, dpose, dposecov, 0, 0, 1);
}
