#ifndef DATA_OPERATORS_H_
#define DATA_OPERATORS_H_

#include <QDataStream>

#include "LaserData.h"
#include "LaserData3D.h"
#include "RFIDData.h"
#include "StatusData.h"
#include "VictimRFIDData.h"

QDataStream& operator<<(QDataStream&, const LaserData&);
QDataStream& operator>>(QDataStream&, LaserData&);

QDataStream& operator<<(QDataStream&, const LaserData3D&);
QDataStream& operator>>(QDataStream&, LaserData3D&);

QDataStream& operator<<(QDataStream&, const RFIDData&);
QDataStream& operator>>(QDataStream&, RFIDData&);

QDataStream& operator<<(QDataStream&, const StatusData&);
QDataStream& operator>>(QDataStream&, StatusData&);

QDataStream& operator<<(QDataStream&, const VictimRFIDData&);
QDataStream& operator>>(QDataStream&, VictimRFIDData&);

#endif /* DATA_OPERATORS_H_ */