#ifndef LASERRANGESENSOR_H_
#define LASERRANGESENSOR_H_

#include "MultiStateSensor.h"

#include "LaserData.h"


class LaserRangeSensor : public MultiStateSensor<LaserData>
{
protected:
	double maxRange;
	double minRange;

public:
	static const QString LASERRANGE;

    LaserRangeSensor(QString name);
	virtual ~LaserRangeSensor();

    virtual void accept(QMap<QString, QString>* msg);
	
};

#endif 
