#ifndef POSITIONDEVICE_H_
#define POSITIONDEVICE_H_

#include <QThread>
#include "RobotRefDevice.h"

class PositionDevice : public RobotRefDevice, public QThread
{

	public:
		PositionDevice();
		virtual ~PositionDevice();
		
		virtual void run();
		
		void drive(double translate, double rotate);
        void releaseRFID();
        void queryNumTags();
};

#endif /*POSITIONDEVICE_H_*/
