#ifndef ROBOTREFDEVICE_H_
#define ROBOTREFDEVICE_H_

#include "Device.h"
#include "Robot.h"

/**
 * A simple extension of Device which also holds are pointer to the parent Robot
 */
class RobotRefDevice : public Device
{
	protected:
		
		Robot * agent;
	
	public:
		RobotRefDevice(QString name, QString type) : Device(name, type) {}
		
		virtual ~RobotRefDevice() {}
		
		void setRobot(Robot * robot) {
			this->agent = robot;
		}
};

#endif /*ROBOTREFDEVICE_H_*/
