#include "RFIDReleaserActuator.h"

#include <QtDebug>
#include <QMapIterator>

const QString RFIDReleaserActuator::RFID_RELEASER = "RFIDReleaser";

RFIDReleaserActuator::RFIDReleaserActuator(QString name)
	:Sensor(RFID_RELEASER, name)
{
}

RFIDReleaserActuator::~RFIDReleaserActuator()
{
}

void RFIDReleaserActuator::releaseRFIDTag()
{
	sendSetCommand("Release");
}


void RFIDReleaserActuator::accept(QMap<QString, QString>* msg) {
	qDebug() << "got RFID releaser data:";
	
	QMapIterator<QString, QString> it(*msg);
	
	while(it.hasNext())
	{
		qDebug() << it.key() << " -> " << it.value();
	}
}
