#ifndef CUBE_H_
#define CUBE_H_

#include "Octree.hpp"

#include <vector>
#include <iostream>


using namespace hxa7241_graphics;

class Cube
{

public:

    Cube();
    Cube(const Vector3f& position, const Vector3f& dimension);
    Cube(const Cube&);

    ~Cube();

    Cube& operator=(const Cube&);


    const Vector3f& getPosition()                                 const;
    const Vector3f& getDimensions()                               const;


private:

    Vector3f _position;
	Vector3f _dimensions;

};



#endif /*CUBE_H_*/
