#ifndef POSITIONCONTROLLER_H_
#define POSITIONCONTROLLER_H_

#include <QWidget>
#include <QPainter>
#include <QMouseEvent>
#include <QPaintEvent>

#include "PositionDevice.h"

class PositionController : public QWidget
{
private:
	PositionDevice* dev;
	double forward;
	double rotate;

public:
	PositionController(PositionDevice*);
	virtual ~PositionController();
	
protected:
    void paintEvent(QPaintEvent *event);
    void mousePressEvent(QMouseEvent *event);
    void mouseMoveEvent(QMouseEvent *event);
    void mouseReleaseEvent(QMouseEvent *event);
    
    void drive();
};

#endif /*POSITIONCONTROLLER_H_*/
