#ifndef USARCONNECTION_H_
#define USARCONNECTION_H_

#include "Server.h"

class UsarConnection;

#include "UsarServer.h"

class UsarConnection : public ServerConnection
{
protected:

	ManifoldSlam slam;
	WeightedScanMatcher matcher;
	
	UsarServer* parent;
	
	bool hasSubmittedPatches;

protected:
	virtual void received(QUuid&, QByteArray);
	
public:
	UsarConnection(XSocket*, UsarServer*);
	virtual ~UsarConnection();
};

#endif /*USARCONNECTION_H_*/
