#ifndef USARSERVER_H_
#define USARSERVER_H_

#include <QThread>

#include "Server.h"

#include "Manifold.h"
#include "ManifoldSlam.h"
#include "WeightedScanMatcher.h"

class UsarServer;

#include "UsarConnection.h"

class UsarServer : public Server
{
protected:

	Manifold* manifold;
	
	friend class UsarConnection;
	
	ServerConnection* newServerConnection(XSocket*);
	
public:
	UsarServer(uint);
	virtual ~UsarServer();
	
	void saveMap(int, QString);
	void saveRFIDs(QString);
	void saveVictims(QString);

	void mergeIslands();
};

#endif /*USARSERVER_H_*/
